// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// private $Header: /Network/Source/CVS/OmniGroup/OIF/NSBitmapImageRep-OIExtensions.h,v 1.1 1999/05/06 20:33:31 wiml Exp $

#import <AppKit/NSBitmapImageRep.h>

@interface NSBitmapImageRep (OIExtensions)

#if 0
/* Low-efficiency methods for extracting single pixels from an NSBitmapImageRep */

/* slow, but general */
- (NSColor *)colorOfPixel:(unsigned)x :(unsigned)y;

/* faster, but forces extra restrictions on image content */
- (void)getRGBA:(unsigned int *)c
        ofPixel:(unsigned)x :(unsigned)y
    scaledToBPS:(int)bps;

/* Another possibility would be:
- (NSDictionary *)componentsOfPixelsForRow:(int)row colorSpaceName:(NSString *)foo scaledToBPS:(int)bps;

where the dictionary would have keys "red", "cyan", "saturation", "alpha", whatever, and values which are NSDatas containing a zillion ints, or possibly a special wrapper object which wraps array(s) of integers efficiently. This would be fast *and* not suck too much. */

#endif

@end
